{% extends 'base.html.twig' %}

{% block body %}


    {% if (is_granted('ROLE_TEACHER')) %}




        <h1>Reimpostazione della password di uno studente</h1>



        <p></p>

        <form action="{{ path('doResetStudentPassword') }}" method="get">
            <div class="mb-3" id="emailResetChoiche" style="display:none">
                <label for="emailReset" class="control-label">Reset anche della password della casella email:</label>

                <input name="emailReset" type="checkbox"/>
            </div>
            <div class="mb-3" id="phase1">
                <label for="codice" class="control-label">Username dello studente:</label>

                <input type="text" id="student" value=""/>
                <input type="hidden" id="studentUsername" value="" name="studentUsername"/>
            </div>
            <div class="mb-3" id="phase2" style="display:none">

                <button type="submit" class="btn btn-success">Reimposta la password</button>
            </div>
        </form>

        <script>
            $(function () {
                $("#student").keyup(function () {
                    $.ajax({
                        type: "GET",
                        url: '{{ path('checkStudentExists') }}',
                        data: {student: $("#student").val()},
                        success: function (response) {
                            if (response.stato) {
                                $("#phase2").show('slow');
                                $("#studentUsername").val($("#student").val());
                                $("#student").prop('disabled', true);
                            }
                            if (response.hasGoogleApp) {
                                $("#emailResetChoiche").show('slow');
                            }
                        }
                    })
                })
            })
        </script>
    {% else %}
        <div class="panel panel-warning">
            <div class="panel-heading">
                <h3 class="panel-title">Non sei un docente</h3>
            </div>
            <div class="panel-body">
                Non hai i permessi per questa azione.


            </div>
        </div>
        </div>
    {% endif %}

{% endblock %}
